Skip to main content
GET
/
plans
/
{code}
/
fixed_charges
/
{fixed_charge_code}
Retrieve a fixed charge
curl --request GET \
  --url https://api.getlago.com/api/v1/plans/{code}/fixed_charges/{fixed_charge_code} \
  --header 'Authorization: Bearer <token>'
{
  "fixed_charge": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "lago_add_on_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "invoice_display_name": "Setup fee",
    "add_on_code": "setup_fee",
    "created_at": "2023-06-27T19:43:42Z",
    "code": "setup_fee",
    "charge_model": "standard",
    "pay_in_advance": false,
    "prorated": false,
    "properties": {
      "amount": "30",
      "graduated_ranges": [
        {
          "from_value": 0,
          "to_value": 10,
          "flat_amount": "10",
          "per_unit_amount": "0.5"
        }
      ],
      "volume_ranges": [
        {
          "from_value": 0,
          "to_value": 10,
          "flat_amount": "10",
          "per_unit_amount": "0.5"
        }
      ]
    },
    "units": 1,
    "lago_parent_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "taxes": [
      {
        "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "name": "TVA",
        "code": "french_standard_vat",
        "rate": 20,
        "applied_to_organization": true,
        "created_at": "2023-07-06T14:35:58Z",
        "description": "French standard VAT"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Code of the existing plan.

Example:

"startup"

fixed_charge_code
string
required

Code of the existing fixed charge.

Example:

"setup_fee_charge"

Response

Fixed charge

fixed_charge
object
required